GET /traffic_sources

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/traffic_sources

Get traffic sources matching filters.

Search and list the traffic sources (publishers) in your account with filters, or request the CSV format for bulk export.

Supported Formats

json, csv

Params

Param name Description
page
Optional

Return the next page of results.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

order
Optional

Sort results by this field.

  • Must be one of: created_at, updated_at, first_name, last_name, company_name, numbers_count, recent_calls_count, last_call_at, calls_count, user_traffic_source_id, number_limit.

order_dir
Optional

Sort results in ascending or descending order.

  • Must be one of: asc, desc.

fulltext
Optional

Search for any record that matches this text

  • Must be a String

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • user_traffic_source_id
  • first_name
  • last_name
  • company_name
  • company_id
  • name
  • number_limit
  • paused
  • description
  • last_call_at
  • numbers_count
  • calls_count
  • recent_calls_count
  • number_ids
  • template_description
  • template_enabled
  • template_tier
  • template_copy_on_company_create
  • outgoing_webhook_ids
  • team_ids
  • record_token_additional_id
  • record_token_additional_data_count
  • record_token_additional_data
  • Must be a String